%define depkgs ../depkgs

Summary:	Bacula - The Network Backup Solution
Group:		System Environment/Daemons
License:	GPL v2
Name:		bacula
Version:	1.32d
Release:	1.5.2
Source0:	http://aleron.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		bacula-1.32a-engarde-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Requires:	readline
BuildRequires:	readline-devel
Requires:	MySQL >= 3.23
BuildRequires:	MySQL-devel >= 3.23

%description
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula is a set of computer programs that permit you (or the system 
administrator) to manage backup, recovery, and verification of computer 
data across a network of computers of different kinds. In technical terms, 
it is a network client/server based backup program. Bacula is relatively 
easy to use and efficient, while offering many advanced storage management 
features that make it easy to find and recover lost or damaged files. 
Bacula source code has been released under the GPL version 2 license.

This build requires MySQL to be installed separately as the catalog database.

%files
  %defattr(-,root,root)
  %attr(0754,root,root) /%{_sysconfdir}/bacula/bacula
  %attr(0754,root,root) /%{_sysconfdir}/bacula/console
  %attr(0754,root,root) /%{_sysconfdir}/bacula/fd
  %attr(0754,root,root) /%{_sysconfdir}/bacula/gconsole
  %attr(0754,root,root) /%{_sysconfdir}/bacula/create_mysql_database
  %attr(0754,root,root) /%{_sysconfdir}/bacula/delete_catalog_backup
  %attr(0754,root,root) /%{_sysconfdir}/bacula/drop_bacula_tables
  %attr(0754,root,root) /%{_sysconfdir}/bacula/drop_mysql_tables
  %attr(0754,root,root) /%{_sysconfdir}/bacula/make_bacula_tables
  %attr(0754,root,root) /%{_sysconfdir}/bacula/make_catalog_backup
  %attr(0754,root,root) /%{_sysconfdir}/bacula/make_mysql_tables
  %attr(0754,root,root) /%{_sysconfdir}/bacula/grant_mysql_privileges
  %attr(0754,root,root) /%{_sysconfdir}/bacula/startmysql
  %attr(0754,root,root) /%{_sysconfdir}/bacula/stopmysql
  %attr(0754,root,root) /%{_sysconfdir}/bacula/mtx-changer
  %attr(0754,root,root) /%{_sysconfdir}/init.d/bacula-dir
  %attr(0754,root,root) /%{_sysconfdir}/init.d/bacula-fd
  %attr(0754,root,root) /%{_sysconfdir}/init.d/bacula-sd

  %attr(0644,root,root) %doc COPYING ChangeLog INSTALL README ReleaseNotes doc/*
  %attr(0644,root,root) /usr/man/man1/*
  %attr(0644,root,root) /%{_sysconfdir}/logrotate.d/bacula

  %attr(0640,root,root) %config(noreplace) /%{_sysconfdir}/bacula/bacula-dir.conf
  %attr(0640,root,root) %config(noreplace) /%{_sysconfdir}/bacula/bacula-fd.conf
  %attr(0640,root,root) %config(noreplace) /%{_sysconfdir}/bacula/bacula-sd.conf
  %attr(0640,root,root) %config(noreplace) /%{_sysconfdir}/bacula/console.conf
  %attr(0640,root,root) /%{_sysconfdir}/bacula/query.sql
  %attr(0640,root,root) %dir /var/bacula

  %attr(0750,root,root) /usr/sbin/*

################################################################################
%package client
Summary:	Bacula - The Network Backup Solution
Group:		System Environment/Daemons

%description client
Bacula - It comes by night and sucks the vital essence from your computers.

Bacula is a set of computer programs that permit you (or the system 
administrator) to manage backup, recovery, and verification of computer 
data across a network of computers of different kinds. In technical terms, 
it is a network client/server based backup program. Bacula is relatively 
easy to use and efficient, while offering many advanced storage management 
features that make it easy to find and recover lost or damaged files. 
Bacula source code has been released under the GPL version 2 license.

This is the File daemon (Client) only package.

%files client
  %defattr(-,root,root)
  %attr(0754,root,root) /%{_sysconfdir}/bacula/fd
  %attr(0754,root,root) /%{_sysconfdir}/init.d/bacula-fd
  %attr(0644,root,root) %doc COPYING ChangeLog INSTALL README ReleaseNotes doc/*
  %attr(0644,root,root) /%{_sysconfdir}/logrotate.d/bacula
  %attr(0640,root,root) %config(noreplace) /%{_sysconfdir}/bacula/bacula-fd.conf
  %attr(0640,root,root) %dir /var/bacula
  %attr(0750,root,root) /usr/sbin/bacula-fd
  %attr(0750,root,root) /usr/sbin/btraceback
  %attr(0750,root,root) /usr/sbin/btraceback.gdb
  %attr(0750,root,root) /usr/sbin/smtp

%prep
%setup -q
%patch0 -p1

%build

  # Build mtx.
  pushd %{depkgs}; make mtx; popd

  # patch the make_sqlite_tables script for installation bindir
  patch src/cats/make_sqlite_tables.in src/cats/make_sqlite_tables.in.patch

  # Configure...
  %configure \
        --prefix=/usr \
        --sbindir=/usr/sbin \
        --sysconfdir=/%{_sysconfdir}/bacula \
        --with-scriptdir=/%{_sysconfdir}/bacula \
        --enable-smartalloc \
        --with-mysql \
        --with-working-dir=/var/bacula \
        --with-pid-dir=/var/run \
        --with-subsys-dir=/var/lock/subsys \
	--disable-gnome \
	--with-tcp-wrappers

  # Finally build it.
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
 
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
  mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
  mkdir -p $RPM_BUILD_ROOT/usr/share/applications

  make prefix=$RPM_BUILD_ROOT/usr \
	sbindir=$RPM_BUILD_ROOT/usr/sbin \
	sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir}/bacula \
	scriptdir=$RPM_BUILD_ROOT/%{_sysconfdir}/bacula \
	working_dir=$RPM_BUILD_ROOT/var/bacula \
	install

  # Install mtx.
  pushd %{depkgs}
  make prefix=$RPM_BUILD_ROOT/usr \
	sbindir=$RPM_BUILD_ROOT/usr/sbin \
	sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir}/bacula \
	working_dir=$RPM_BUILD_ROOT/var/bacula \
	mandir=$RPM_BUILD_ROOT/usr/man \
	mtx-install
  popd

  # Install the init scripts
  for i in dir fd sd
  do
    install platforms/engarde/bacula-$i $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/bacula-$i
  done

  # Install the logrotate file
  cp scripts/logrotate $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/bacula

## %post
## # delete then add our links
## /sbin/chkconfig --del bacula-dir
## /sbin/chkconfig --del bacula-fd
## /sbin/chkconfig --del bacula-sd
## /sbin/chkconfig --add bacula-dir
## /sbin/chkconfig --add bacula-fd
## /sbin/chkconfig --add bacula-sd
## 
## # grant privileges and create tables
## # this will error out harmlessly if tables already exist
## echo "Granting privileges for MySQL user bacula..."
## /%{_sysconfdir}/bacula/grant_mysql_privileges
## echo "Creating MySQL bacula database..."
## /%{_sysconfdir}/bacula/create_mysql_database
## echo "Creating bacula tables..."
## /%{_sysconfdir}/bacula/make_mysql_tables
## 
## %preun
## # delete our links
## /sbin/chkconfig --del bacula-dir
## /sbin/chkconfig --del bacula-fd
## /sbin/chkconfig --del bacula-sd
## 
## %post client
## # delete then add our links
## /sbin/chkconfig --del bacula-fd
## /sbin/chkconfig --add bacula-fd
## 
## %preun client
## # delete our links
## /sbin/chkconfig --del bacula-fd

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 10 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.32d, Release 1.5.2
  - Upgrade to 1.32d.

* Wed Oct 15 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.32a, Release 1.5.1
  - Initial build for EnGarde.
